/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/



using System;

using miniTeach.Teach;

namespace miniTeach.Teach
{
	/// <summary>
	/// Description of ExamSettings.
	/// </summary>
	public struct ExamSettings
	{
		private ExamDirection m_Direction;		
		public ExamDirection Direction {
			get { return m_Direction; }
			set { m_Direction = value; }
		}
		
		private ExamCheck m_Check;		
		public ExamCheck Check {
			get { return m_Check; }
			set { m_Check = value; }
		}
		
		private ExamMethod m_Method;		
		public ExamMethod Method {
			get { return m_Method; }
			set { m_Method = value; }
		}
		
	}
}
