/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System;
using System.Xml;
using System.Collections.Generic;

namespace miniTeach.Teach
{

	public enum ExamFase
	{
		ShowingQuestion,
		ShowingAnswer,
		AskingRestart
	}
	
	
	public enum ExamDirection : byte
	{
		Foreign = 1,
		Native = 0,
		Both = 2	//random
	}

	public enum ExamCheck : byte
	{
		IgnoreCapitals = 0,
		Exact = 1
	}

	public enum ExamMethod : byte
	{
		Normal = 0,
		MChoice = 1,
		Interval = 2,
		Flash = 3
	}

	
}
