/*
 * Copyright by Danil S. Trommel, Avance, The Netherlands
 * 
 */

using System;
/*
 * Copyright 2008, by Danil S. Trommel, Avance, The Netherlands
 * 
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation, either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

using System.IO;
using System.Windows.Forms;

using miniTeach.Settings;

namespace miniTeach.Tools
{
	/// <summary>
	/// Description of LogTools.
	/// </summary>
	public static class LogTool
	{
		
		public static void CleanLog()
		{
			StreamWriter FileWriter = new StreamWriter(TeachSettings.Instance.ApplicationPath + "\\log.txt");
			FileWriter.Write("");
			FileWriter.Close();
		}

		public static void WriteToLog(string strLog)
		{
			StreamWriter FileWriter = new StreamWriter(TeachSettings.Instance.ApplicationPath + "\\log.txt", true);
			FileWriter.Write(strLog + "\r\n- - - - - - - - - - - - - - - - - - - - - - - -\r\n");
			FileWriter.Close();
			MessageBox.Show("Error logged at file `log.txt`");
		}


		public static void WriteInfo(string strInfo)
		{
			StreamWriter FileWriter = new StreamWriter(TeachSettings.Instance.ApplicationPath + "\\info.txt");
			FileWriter.Write(strInfo);
			FileWriter.Close();
		}
		
	}
}
